IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'CourseData' 
	   AND 	  type = 'V')
	DROP VIEW CourseData
GO

CREATE VIEW [CourseData]
AS

SELECT
SCHOOL.SchoolId, 
SCHOOL.SchoolName, 
COURSE.CourseId, 
COURSE.CourseName,
COURSE.Description

FROM
SCHOOL 
INNER JOIN COURSE ON SCHOOL.SchoolId = COURSE.SchoolId 
GO

