IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'StudentData' 
	   AND 	  type = 'V')
	DROP VIEW StudentData
GO

CREATE VIEW [StudentData]
AS

SELECT
SCHOOL.SchoolId, 
SCHOOL.SchoolName, 
CLASS.ClassId, 
CLASS.ClassName, 
COURSE.CourseId, 
COURSE.CourseName,
STUDENT.StudentId, 
STUDENT.StudentName, 
STUDENT.StudentNumber,
GRADE.GradeId,
GRADE.Grade

FROM
SCHOOL 
INNER JOIN CLASS ON SCHOOL.SchoolId = CLASS.SchoolId 
INNER JOIN COURSE ON SCHOOL.SchoolId = COURSE.SchoolId 
INNER JOIN STUDENT ON CLASS.ClassId = STUDENT.ClassId 
INNER JOIN STUDENT_COURSE ON COURSE.CourseId = STUDENT_COURSE.CourseId 
	AND STUDENT.StudentId = STUDENT_COURSE.StudentId 
INNER JOIN GRADE ON COURSE.CourseId = GRADE.CourseId AND STUDENT.StudentId = GRADE.StudentId


GO

