/*--------------------------------------------------------------------------------------------
Last Updated Date:	2011.03.24
Last Updated By:	hans.p.halvorsen@hit.no
Description:		Lab Work - Insert Data into School Tables

(C) Hans-Petter Halvorsen
-------------------------------------------------------------------------------------------*/

/*
SCHOOL
CLASS
COURSE
STUDENT
STUDENT_COURSE
GRADE
*/


--SCHOOL ----------------------------------
INSERT INTO [SCHOOL]([SchoolName]) 
VALUES ('TUC')
GO

INSERT INTO [SCHOOL]([SchoolName]) 
VALUES ('NTNU')
GO

INSERT INTO [SCHOOL]([SchoolName]) 
VALUES ('MIT')
GO


--CLASS ----------------------------------
INSERT INTO [CLASS]([SchoolId],[ClassName]) 
VALUES ((select SchoolId from SCHOOL where SchoolName='TUC'), 'SCE1')
GO

INSERT INTO [CLASS]([SchoolId],[ClassName]) 
VALUES ((select SchoolId from SCHOOL where SchoolName='TUC'), 'SCE2')
GO

INSERT INTO [CLASS]([SchoolId],[ClassName]) 
VALUES ((select SchoolId from SCHOOL where SchoolName='TUC'), 'PT1')
GO

INSERT INTO [CLASS]([SchoolId],[ClassName]) 
VALUES ((select SchoolId from SCHOOL where SchoolName='TUC'), 'PT2')
GO



--COURSE ----------------------------------
INSERT INTO [COURSE]([SchoolId],[CourseName]) 
VALUES ((select SchoolId from SCHOOL where SchoolName='TUC'), 'SCE2006')
GO

INSERT INTO [COURSE]([SchoolId],[CourseName]) 
VALUES ((select SchoolId from SCHOOL where SchoolName='TUC'), 'SCE1106')
GO

INSERT INTO [COURSE]([SchoolId],[CourseName]) 
VALUES ((select SchoolId from SCHOOL where SchoolName='TUC'), 'SCE4206')
GO

INSERT INTO [COURSE]([SchoolId],[CourseName]) 
VALUES ((select SchoolId from SCHOOL where SchoolName='TUC'), 'SCE4106')
GO



--STUDENT ----------------------------------
INSERT INTO [STUDENT]([ClassId],[StudentName],[StudentNumber]) 
VALUES ((select ClassId from CLASS where ClassName='SCE1'), 'John Cleese', '1111')
GO

INSERT INTO [STUDENT]([ClassId],[StudentName],[StudentNumber]) 
VALUES ((select ClassId from CLASS where ClassName='SCE1'), 'Jens Stoltenberg', '2222')
GO

INSERT INTO [STUDENT]([ClassId],[StudentName],[StudentNumber]) 
VALUES ((select ClassId from CLASS where ClassName='SCE2'), 'Barak Obama', '3333')
GO

INSERT INTO [STUDENT]([ClassId],[StudentName],[StudentNumber]) 
VALUES ((select ClassId from CLASS where ClassName='SCE2'), 'Kurt Nilsen', '4444')
GO

	

--STUDENT_COURSE ----------------------------------
INSERT INTO [STUDENT_COURSE]([StudentId], [CourseId]) 
VALUES ((select StudentId from STUDENT where StudentNumber='1111'),(select CourseId from COURSE where CourseName='SCE2006'))
GO

INSERT INTO [STUDENT_COURSE]([StudentId], [CourseId]) 
VALUES ((select StudentId from STUDENT where StudentNumber='2222'),(select CourseId from COURSE where CourseName='SCE2006'))
GO

INSERT INTO [STUDENT_COURSE]([StudentId], [CourseId]) 
VALUES ((select StudentId from STUDENT where StudentNumber='3333'),(select CourseId from COURSE where CourseName='SCE4206'))
GO

INSERT INTO [STUDENT_COURSE]([StudentId], [CourseId]) 
VALUES ((select StudentId from STUDENT where StudentNumber='4444'),(select CourseId from COURSE where CourseName='SCE4206'))
GO



--GRADE ----------------------------------
INSERT INTO [GRADE]([StudentId], [CourseId], [Grade]) 
VALUES ((select StudentId from STUDENT where StudentNumber='1111'), (select CourseId from COURSE where CourseName='SCE2006'), 4)
GO

INSERT INTO [GRADE]([StudentId], [CourseId], [Grade]) 
VALUES ((select StudentId from STUDENT where StudentNumber='2222'), (select CourseId from COURSE where CourseName='SCE2006'), 5)
GO

INSERT INTO [GRADE]([StudentId], [CourseId], [Grade]) 
VALUES ((select StudentId from STUDENT where StudentNumber='3333'), (select CourseId from COURSE where CourseName='SCE4206'), 0)
GO

INSERT INTO [GRADE]([StudentId], [CourseId], [Grade]) 
VALUES ((select StudentId from STUDENT where StudentNumber='4444'), (select CourseId from COURSE where CourseName='SCE4206'), 3)
GO








