IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'StudentGrade' 
	   AND 	  type = 'P')
	DROP PROCEDURE StudentGrade
GO

CREATE PROCEDURE StudentGrade
@Student varchar(50),
@Course varchar(10),
@Grade varchar(1)
 
AS

DECLARE
@StudentId int,
@CourseId int

select StudentId from STUDENT where StudentName = @Student

select CourseId from COURSE where CourseName = @Course


insert into [GRADE]([StudentId],[CourseId],[Grade]) 
values (@StudentId, @CourseId, @Grade)